class Constants {
  static const keyAndroidBannerAdsId = 'AndroidBannerAdsId';
  static const keyAndroidInterstitialAdsId = 'AndroidInterstitialAdsId';
  static const keyAndroidNativeAdsId = 'AndroidNativeAdsId';
  static const keyIosBannerAdsId = 'IosBannerAdsId';
  static const keyIosInterstitialAdsId = 'IosInterstitialAdsId';
  static const keyIosNativeAdsId = 'IosNativeAdsId';

  static String get androidBannerAdsId => stagingConfig[keyAndroidBannerAdsId];

  static String get androidInterstitialAdsId =>
      stagingConfig[keyAndroidInterstitialAdsId];

  static String get androidNativeAdsId => stagingConfig[keyAndroidNativeAdsId];

  static String get iosBannerAdsId => stagingConfig[keyIosBannerAdsId];

  static String get iosInterstitialAdsId =>
      stagingConfig[keyIosInterstitialAdsId];

  static String get iosNativeAdsId => stagingConfig[keyIosNativeAdsId];

  static Map<String, dynamic> stagingConfig = {
    keyAndroidBannerAdsId: 'ca-app-pub-3940256099942544/6300978111',
    keyAndroidInterstitialAdsId: 'ca-app-pub-3940256099942544/1033173712',
    keyAndroidNativeAdsId: 'ca-app-pub-3940256099942544/2247696110',
    keyIosBannerAdsId: 'ca-app-pub-3940256099942544/2934735716',
    keyIosInterstitialAdsId: 'ca-app-pub-3940256099942544/4411468910',
    keyIosNativeAdsId: 'ca-app-pub-3940256099942544/3986624511',
  };

  static Map<String, dynamic> productConfig = {
    keyAndroidBannerAdsId: 'ca-app-pub-3940256099942544/6300978111',
    keyAndroidInterstitialAdsId: 'ca-app-pub-6275019987578729/4139463289',
    keyAndroidNativeAdsId: 'ca-app-pub-6275019987578729/6431182724',
    keyIosBannerAdsId: 'ca-app-pub-3940256099942544/2934735716',
    keyIosInterstitialAdsId: 'ca-app-pub-6275019987578729/4238866757',
    keyIosNativeAdsId: 'ca-app-pub-6275019987578729/7552692704',
  };
}
